using Consulenza.ReportWriter.Business;
using Consulenza.ReportWriter.Business.OBJ_PDF;

namespace Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Diagnosi
{
    public class S11 : Entity.Chapter
    {
        public S11(EnvironmentFacade environmentFacade, int idChapter)
            : base(environmentFacade, idChapter)
        {
            Draw();
        }

        public S11(EnvironmentFacade environmentFacade, int idChapter, bool repeatoneachpage)
            : this(environmentFacade, idChapter)
        {
            RepeatOnEachPage = repeatoneachpage;
        }

        protected override sealed void Draw()
        {
            // Aggiungo la pagina
            AddElement(new PagePDF(PagePDF.PagePDFType.Generic));

            // Intestazione
            AddElement(new FormattedTextAreaPDF("Stima delle imposte", EnvironmentFacade.RendererFacade.XLeftLimit) { FontSize = 16, FontColor = ColorPDF.Immobiliare_Grigio_TitoloGrande, AutoIncrementYWritable = false, FontBold = true });
        }
    }
}
